"""
If any part of this module is used for a publication please cite:

R. Tom, T. Rose, I. Bier, H. OBrien, A. Vazquez-Mayagoitia,
and N. Marom "Genarris 2.0: A Random Structure Generator for Molecular Crystals 
arXiv 1909.10629 (2019)
"""
#!/usr/bin/env python3
"""
Created on Thu May 30 16:36:06 2019

@author: ritwit
"""

from pygenarris import *
import numpy as np

__author__ = "Rithwik Tom, Timothy Rose, Immanuel Bier, Harriet OBrien," + \
                "Xiayue Li, Farren Curtis, Alvaro Vazquez-Mayagoita"
__copyright__ = "Copyright 2019, Carnegie Mellon University"
__credits__ = ["Rithwik Tom", "Timothy Rose", "Immanuel Bier", "Harriet OBrien",\
               "Xiayue Li", "Farren Curtis", "Alvaro Vazquez-Mayagoita", "Noa Marom"]
__license__ = "BSD-3"
__version__ = "2.0_190923"
__maintainer__ = "Noa Marom"
__email__ = "nmarom@andrew.cmu.edu"
__url__ = "http://www.noamarom.com"







lattice = np.eye(3)
xc = np.array([1, 1.3, 1.6]);
yc = np.array([1, 1.3, 1.6]);
zc = np.array([1, 1.3, 1.6]);
atoms = "C C C "
xtal = crystal();
vdw_matrix = np.array([[0, 1, 1],[1 , 0, 1],[ 1, 1, 0]], dtype = 'float32')


create_crystal_from_array(xtal, lattice, xc, yc, zc, atoms,3, 3, 1 )
check_structure_with_vdw_matrix(xtal,  vdw_matrix)
