"""
If any part of this module is used for a publication please cite:

R. Tom, T. Rose, I. Bier, H. OBrien, A. Vazquez-Mayagoitia,
and N. Marom "Genarris 2.0: A Random Structure Generator for Molecular Crystals 
arXiv 1909.10629 (2019)
"""


from ibslib.io import write
from ibslib.io.hab_extractor import hab_extractor

__author__ = "Rithwik Tom, Timothy Rose, Immanuel Bier, Harriet OBrien," + \
                "Xiayue Li, Farren Curtis, Alvaro Vazquez-Mayagoita"
__copyright__ = "Copyright 2019, Carnegie Mellon University"
__credits__ = ["Rithwik Tom", "Timothy Rose", "Immanuel Bier", "Harriet OBrien",\
               "Xiayue Li", "Farren Curtis", "Alvaro Vazquez-Mayagoita", "Noa Marom"]
__license__ = "BSD-3"
__version__ = "2.0_190923"
__maintainer__ = "Noa Marom"
__email__ = "nmarom@andrew.cmu.edu"
__url__ = "http://www.noamarom.com"






Hab_calc_path = "C:\\Users\\manny\\Research\\Datasets\\Hab_Dimers\\" \
                "FUQJIK_4mpc_tight\\batchrun"


test = hab_extractor(Hab_calc_path, extract_property="get_dimers")
dimer_dict = test.run_extractor()

write("C:\\Users\\manny\\Research\\Datasets\\Hab_Dimers\\" 
      "FUQJIK_4mpc_tight\\dimers", dimer_dict, overwrite=True)