"""
If any part of this module is used for a publication please cite:

R. Tom, T. Rose, I. Bier, H. OBrien, A. Vazquez-Mayagoitia,
and N. Marom "Genarris 2.0: A Random Structure Generator for Molecular Crystals 
arXiv 1909.10629 (2019)
"""




from ibslib.calculators import Slurm,tin_arguments

__author__ = "Rithwik Tom, Timothy Rose, Immanuel Bier, Harriet OBrien," + \
                "Xiayue Li, Farren Curtis, Alvaro Vazquez-Mayagoita"
__copyright__ = "Copyright 2019, Carnegie Mellon University"
__credits__ = ["Rithwik Tom", "Timothy Rose", "Immanuel Bier", "Harriet OBrien",\
               "Xiayue Li", "Farren Curtis", "Alvaro Vazquez-Mayagoita", "Noa Marom"]
__license__ = "BSD-3"
__version__ = "2.0_190923"
__maintainer__ = "Noa Marom"
__email__ = "nmarom@andrew.cmu.edu"
__url__ = "http://www.noamarom.com"






# Specify file_path for Slurm file to be submitted to queue
file_path = "test.sh"
# Specify if the program can overwrite submission scripts
overwrite = False
# Use default arguments for slurm
slurm_arguments = tin_arguments
# Must include a command for the slurm script
slurm_arguments["command"] = "echo HELLO_WORLD"

# Initialize
slurm = Slurm(tin_arguments)
# Write file
slurm.write(file_path)
# Submit the calculation
slurm.submit(file_path)

# Or write and submit the file together using calc
slurm.calc(file_path)
