"""
If any part of this module is used for a publication please cite:

R. Tom, T. Rose, I. Bier, H. OBrien, A. Vazquez-Mayagoitia,
and N. Marom "Genarris 2.0: A Random Structure Generator for Molecular Crystals 
arXiv 1909.10629 (2019)
"""


from ibslib.io.io_structures import import_geo, output_struct
from ibslib.analysis.sg_analysis import pymatgen_sg_struct

__author__ = "Rithwik Tom, Timothy Rose, Immanuel Bier, Harriet OBrien," + \
                "Xiayue Li, Farren Curtis, Alvaro Vazquez-Mayagoita"
__copyright__ = "Copyright 2019, Carnegie Mellon University"
__credits__ = ["Rithwik Tom", "Timothy Rose", "Immanuel Bier", "Harriet OBrien",\
               "Xiayue Li", "Farren Curtis", "Alvaro Vazquez-Mayagoita", "Noa Marom"]
__license__ = "BSD-3"
__version__ = "2.0_190923"
__maintainer__ = "Noa Marom"
__email__ = "nmarom@andrew.cmu.edu"
__url__ = "http://www.noamarom.com"






struct_path = 'relaxation/geometry.in.next_step'
struct_id = 'FUQJIK_relaxed'
output_json = 'FUQJIK_relaxed.json'
# 0.001 works well for structures with well defined space groups
# 0.85 works well when the space group of the structure is less well defined
symprec = 0.1

struct = import_geo(struct_path, struct_id)
psg = pymatgen_sg_struct(struct, symprec=symprec)
struct.set_property('space_group', psg)
output_struct(output_json, struct)
print('Pymatgen Space Group: {}'.format(psg))