"""
If any part of this module is used for a publication please cite:

R. Tom, T. Rose, I. Bier, H. OBrien, A. Vazquez-Mayagoitia,
and N. Marom "Genarris 2.0: A Random Structure Generator for Molecular Crystals 
arXiv 1909.10629 (2019)
"""

from ibslib.analysis.plotting import plot_GAtor_Hab

__author__ = "Rithwik Tom, Timothy Rose, Immanuel Bier, Harriet OBrien," + \
                "Xiayue Li, Farren Curtis, Alvaro Vazquez-Mayagoita"
__copyright__ = "Copyright 2019, Carnegie Mellon University"
__credits__ = ["Rithwik Tom", "Timothy Rose", "Immanuel Bier", "Harriet OBrien",\
               "Xiayue Li", "Farren Curtis", "Alvaro Vazquez-Mayagoita", "Noa Marom"]
__license__ = "BSD-3"
__version__ = "2.0_190923"
__maintainer__ = "Noa Marom"
__email__ = "nmarom@andrew.cmu.edu"
__url__ = "http://www.noamarom.com"






struct_dir = 'database_json_files'
Hab_key = 'Habmax'
energy_key = 'energy'
nmpc = 8
experimental_parameters = ['FUQJIK', -1212815.055196140,
                           98.78]

plot_GAtor_Hab(struct_dir, Hab_key, energy_key, nmpc,
               experimental_parameters=experimental_parameters,
               figname='GAtor_Hab_FUQJIK_8mpc.pdf')