"""
If any part of this module is used for a publication please cite:

R. Tom, T. Rose, I. Bier, H. OBrien, A. Vazquez-Mayagoitia,
and N. Marom "Genarris 2.0: A Random Structure Generator for Molecular Crystals 
arXiv 1909.10629 (2019)
"""



from ibslib.io import aims_extractor

__author__ = "Rithwik Tom, Timothy Rose, Immanuel Bier, Harriet OBrien," + \
                "Xiayue Li, Farren Curtis, Alvaro Vazquez-Mayagoita"
__copyright__ = "Copyright 2019, Carnegie Mellon University"
__credits__ = ["Rithwik Tom", "Timothy Rose", "Immanuel Bier", "Harriet OBrien",\
               "Xiayue Li", "Farren Curtis", "Alvaro Vazquez-Mayagoita", "Noa Marom"]
__license__ = "BSD-3"
__version__ = "2.0_190923"
__maintainer__ = "Noa Marom"
__email__ = "nmarom@andrew.cmu.edu"
__url__ = "http://www.noamarom.com"






__author__='Manny Bier'

def extract(struct_dir, extractor="aims", extractor_kwargs={}):
    """ 
    
    Purpose is to extract information from a specific direcoty format.
        For example, extract FHI-aims calculation directories to a Structure
        json file. 
    
    Arguments
    ---------
    struct_dir: path
        Path to the directory that information will be extracted from
    extractor: str
        Extraction method to use
    kwargs: dict
        Dictionary of keyword arguments which will be passed to the extraction
        process.
    
    """
    
    if extractor == "aims":
        result = aims_extractor.extract(struct_dir, extractor_kwargs)
    
    return result
        





if __name__ == "__main__":
    struct_dir = "/Users/ibier/Research/Results/Hab_Project/FUQJIK/2_mpc/Genarris/Relaxation"
    result = extract(struct_dir, extractor="aims")
