"""
If any part of this module is used for a publication please cite:

R. Tom, T. Rose, I. Bier, H. OBrien, A. Vazquez-Mayagoitia,
and N. Marom "Genarris 2.0: A Random Structure Generator for Molecular Crystals 
arXiv 1909.10629 (2019)
"""

__author__ = "Rithwik Tom, Timothy Rose, Immanuel Bier, Harriet OBrien," + \
                "Xiayue Li, Farren Curtis, Alvaro Vazquez-Mayagoita"
__copyright__ = "Copyright 2019, Carnegie Mellon University"
__credits__ = ["Rithwik Tom", "Timothy Rose", "Immanuel Bier", "Harriet OBrien",\
               "Xiayue Li", "Farren Curtis", "Alvaro Vazquez-Mayagoita", "Noa Marom"]
__license__ = "BSD-3"
__version__ = "2.0_190923"
__maintainer__ = "Noa Marom"
__email__ = "nmarom@andrew.cmu.edu"
__url__ = "http://www.noamarom.com"






def handle_error(e=None, err_message='Error', fail_gracefully=False, 
                verbose=False):
                
    if fail_gracefully:
        if verbose:
            print(err_message)
    else:
        if e is None:
            raise Exception(err_message)
        else:
            if verbose:
                print(err_message)
            raise e

def check_input_vars(vars_type_list, fail_gracefully=False, verbose=False):
    if not (hasattr(vars_type_list, '__iter__') and \
            type(vars_list) is not str and \
            type(vars_list) is not set and \
            type(vars_list) is not dict):
        err_message='vars_type_list must be iterable and not str, set, or ' + \
                    'dict because set and dict are not guaranteed to be in ' + \
                    'the appropriate order. Got vars_type_list: ' + \
                    str(type(vars_type_list))

        handle_error(e=None, err_message=err_message, fail_gracefully=False,
                    verbose=False)

        return None

