"""
If any part of this module is used for a publication please cite:

R. Tom, T. Rose, I. Bier, H. OBrien, A. Vazquez-Mayagoitia,
and N. Marom "Genarris 2.0: A Random Structure Generator for Molecular Crystals 
arXiv 1909.10629 (2019)
"""
'''
These are test modules for utils
'''
from Genarris.core import instruct
from Genarris.utilities.write_log import print_time_log
from Genarris.utilities.parallel_master import launch_parallel_run_single_inst







__author__ = "Rithwik Tom, Timothy Rose, Immanuel Bier, Harriet OBrien," + \
                "Xiayue Li, Farren Curtis, Alvaro Vazquez-Mayagoita"
__copyright__ = "Copyright 2019, Carnegie Mellon University"
__credits__ = ["Rithwik Tom", "Timothy Rose", "Immanuel Bier", "Harriet OBrien",\
               "Xiayue Li", "Farren Curtis", "Alvaro Vazquez-Mayagoita", "Noa Marom"]
__license__ = "BSD-3"
__version__ = "2.0_190923"
__maintainer__ = "Noa Marom"
__email__ = "nmarom@andrew.cmu.edu"
__url__ = "http://www.noamarom.com"

def test_launch_parallel_run_single_inst_main(inst):
    sname = "test_launch_parallel_run_single_inst"
    # TODO: Update to use get_parallel_run_args util
    parallel_run_command = inst.get_with_default(
            sname, "parallel_run_command",
            ["python", "$MASTER", "$CONF"], eval=True)
    parallel_run_instances = inst.get_with_default(
            sname, "parallel_run_instances", 5, eval=True)
    tmp_dir = inst.get_tmp_dir()

    test_launch_parallel_run_single_inst(
        parallel_run_command,
        parallel_run_instances,
        tmp_dir)

def test_launch_parallel_run_single_inst(
    parallel_run_command, parallel_run_instances, tmp_dir):
    print_time_log("Launching test parallel instances of genarris master")
    
    new_inst = instruct.Instruct()
    new_inst.set("Genarris_master", "procedures",
                 str(["_Test_Launch_Parallel_Run_Single_Inst"]))

    launch_parallel_run_single_inst(
        new_inst, parallel_run_command, parallel_run_instances,
        tmp_dir, False)

    print_time_log("Completed test parallel instances of genarris master")


def _test_launch_parallel_run_single_inst(inst):
    '''
    Function called by the relaunched genarris_master instances
    '''
    print("Hello world!")
